<?php

namespace Strig\Image\Sprite;

//use Psr\Cache\CacheItemPoolInterface;

/**
 * Class SpriteManager
 *
 * @package Ep
 * @author Elektronika PerhoÄ <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-core
 */
class SpriteManager
{
    /** @var string */
    protected $baseDir;
    /** @var Sprite[] */
    protected $sprites = [];
    protected $config;

    /**
     * SpriteManager constructor.
     *
     * @param array $config
     */
    public function __construct(array $config)
    {
        $this->config= $config;
    }

    /**
     * VraÄ‡a sprite s datim imenom.
     *
     * @param string $name
     *
     * @return Sprite
     */
    public function get(string $name)
    {
        if (!isset($this->sprites[$name])) {
            $this->sprites[$name] = new Sprite($name, $this->config);
        }

        return $this->sprites[$name];
    }
}
