<?php
namespace Strig\Image\Sprite;

use Interop\Container\ContainerInterface;
use Zend\ServiceManager\Factory\FactoryInterface;

/**
 * Class SpriteManagerFactory
 *
 * @package Strig\Image\Sprite
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/strig/image
 */
final class SpriteManagerFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string             $requestedName
     * @param  null|array         $options
     * @return object
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $config = $container->get('config')['sprites'] ?? [];
        return new SpriteManager($config);
    }
}